package com.hxhq.business.form.sj;

/**
 * 试剂列表搜索参数
 */
public class SjSearchListForm {

    /** 名称/代号 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 批号 */
    private String ph;

    /** 制剂状态 1:入库 3:已发放 5:已锁定 7:待归档 9:归档 11:待解档 */
    private Integer zjzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 失效日开始日期 */
    private String startDate;

    /** 失效日结束日期 */
    private String endDate;

    /** 试验id */
    private Long studyId;

    /** 试验表单id */
    private Long studyFormId;

    /** 试验名称 */
    private String studyName;

    /** 所属部门名称 */
    private String deptName;
    private Integer archive;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getStudyName() {
        return studyName;
    }

    public void setStudyName(String studyName) {
        this.studyName = studyName;
    }

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph;
    }

    public Integer getZjzt() {
        return zjzt;
    }

    public void setZjzt(Integer zjzt) {
        this.zjzt = zjzt;
    }

    public Integer getJyzt() {
        return jyzt;
    }

    public void setJyzt(Integer jyzt) {
        this.jyzt = jyzt;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Long getStudyFormId() {
        return studyFormId;
    }

    public void setStudyFormId(Long studyFormId) {
        this.studyFormId = studyFormId;
    }

    public void setArchive(Integer archive) {
        this.archive = archive;
    }

    public Integer getArchive() {
        return archive;
    }
}
